Routing - List
curl --request GET \
--url https://sandbox.birrpay.io/routing \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.birrpay.io/routing"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.birrpay.io/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_id": "<string>",
"records": [
{
"id": "<string>",
"profile_id": "<string>",
"name": "<string>",
"kind": "single",
"description": "<string>",
"created_at": 123,
"modified_at": 123,
"algorithm_for": "payment",
"decision_engine_routing_id": "<string>"
}
],
"active_id": "<string>"
}Routing
Routing - List
List all routing configs
GET
/
routing
Routing - List
Authorizations
api_keyjwt_key
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Query Parameters
The number of records to be returned
Required range:
x >= 0The record offset from which to start gathering of results
Required range:
x >= 0The unique identifier for a merchant profile